import { createApp } from 'vue'
// import './style.css'
import App from './App.vue'
import 'amfe-flexible'
import Login from "./page/login.vue"

//1.引入组件
import {AddressList,AddressEdit,Picker,Popup,NavBar,Dialog,Pagination, Image,Icon,SwipeCell, Form, Popover,Grid,Card,GridItem,Button,Field,CellGroup,Tabbar, TabbarItem,Search,Cell, PasswordInput,DropdownMenu, DropdownItem,Tab, Tabs } from "vant"
import { Navbar } from '@nutui/nutui';
import '@nutui/nutui/dist/style.css';
//2.引入样式
import "vant/lib/index.css"

import router from "@/router/index.js"



// createApp(App).mount('#app')
const app = createApp(App)
app.component("Login",Login)
//3.注册使用组件
app.use(AddressList)
app.use(AddressEdit)
app.use(Picker)
app.use(Popup)
app.use(NavBar)
app.use(Dialog)
app.use(Tab)
app.use(Tabs)
app.use(Navbar)
app.use(Image)
app.use(Cell)
app.use(Icon)
app.use(Pagination)
app.use(SwipeCell)
app.use(SwipeCell)
app.use(DropdownMenu)
app.use(DropdownItem)
app.use(Grid)
app.use(GridItem)
app.use(Card)
app.use(Form)
app.use(Button)
app.use(Field)
app.use(CellGroup)
app.use(router)
app.use(Tabbar)
app.use(TabbarItem)
app.use(Search)
app.use(Popover)
app.mount("#app")

